1. Analytics
Plusvibe.ai API Documentation
  • Getting Started
    • Getting Started
    • Webhooks - Overview
    • Webhooks - Payload - Email Replies
    • Webhooks - Payload - Lead Marked As Label
    • Webhooks - Payload - Campaign Emails Sent
    • Webhooks - Payload - Bounced Email
    • Webhooks - Payload - Unibox Email Sent
    • Workspace Deep Link Parameter
    • Email Infra Provider Guide
  • User API Endpoints
    • Workspace
      • Get workspaces
      • Add a new workspace
      • Copy workspace settings
    • Campaign
      • Create a new campaign
      • Create a new subsequence
      • List campaigns (deprecated)
      • List all campaigns
      • Get campaign name
      • Get campaign status
      • Get campaign email accounts
      • Get campaign emails
      • Get campaign variation stats
      • Set campaign name
      • Set campaign Schedules (deprecated)
      • Activate campaign
      • Pause campaign
      • Update Campaign
      • Delete or archive a campaign
    • Lead
      • Add leads to a campaign
      • Add leads to a subsequence campaign
      • Get or search for lead
      • Delete leads from a campaign
      • Lead Variable/Label Update or Add
      • Fetch workspace leads
      • Update the status of a lead
      • Get lead counts by status
    • Email Account
      • List all email accounts in the workspace
      • Get email account status
      • Check account vitals
      • Enable Email account warmup
      • Pause Email account warmup
      • Delete Email account
      • Get Warmup Stats (Workspace-Level)
      • Bulk Add SMTP Accounts
      • Bulk Update Email Accounts
      • Bulk Update Email Account Warmup Status
      • Bulk Assign/Remove Tags from Email Accounts
      • Bulk reconnect email accounts
      • Get email account stats for a date range
    • Analytics
      • Get campaign summary
        GET
      • Get campaign count (deprecated)
        GET
      • Get campaign stats
        GET
      • Get all campaigns statistics
        GET
    • Unibox
      • Get emails
      • Get emails in Others folder
      • Get count of unread emails
      • Reply to an email
      • Forward an existing email
      • Compose New Email
      • Mark Email Read
      • Save Email as Draft
      • Delete an Entire Email Thread
      • Delete a Single Email Message
    • Blocklist
      • Get entries in the blocklist
      • Adds entries to the blocklist
      • Delete entries in the blocklist
    • Webhook
      • Add a new webhook
      • List webhooks
      • Delete webhook(s)
    • Tags
      • List Tags
      • Create a New Tag
      • Update an Existing Tag
      • Delete Multiple Tags
    • Client Access
      • Create client
      • Edit client
      • Update client status
      • Delete client
      • List clients
    • Email Placement Test
      • Parent Recurring Test
        • Create a new parent test (recurring test)
        • Update a parent test
        • List all parent tests
        • Get parent test details
        • Delete parent test(s)
        • Duplicate a parent test
      • Child (Test Run) Test
        • List child (Test Run) tests
        • Get child test details
      • Results & Analytics
        • Get test summary
        • Get detailed test statistics
        • Get test result for a sender account
      • Get recipient providers
    • Schemas
      • ScheduleV2
      • SequenceStep
      • Campaign
      • Variation
      • EmailAccountId
      • WarmupStatus
      • BulkUpdateWarmupRequest
      • TagAction
      • BulkTagAssignmentRequest
      • ObjectId
      • HexColor
      • CreateTagRequest
      • UpdateTagRequest
      • DeleteTagsRequest
      • DeleteCampaignRequest
      • BulkReconnectRequest
      • SuccessResponse
      • ErrorResponse
      • ClientWorkspacePermission
      • CreateClientRequest
      • CreateClientResponse
      • UpdateClientRequest
      • ClientListItem
      • PatchClientStatusRequest
      • GenericSuccessResponse
      • ParentTest
      • ParentTestDetail
      • ChildTest
      • ChildTestDetail
      • VariationStepStats
      • VariationStats
      • CopyWorkspaceRequest
      • ResourceType
      • CopyWorkspaceResponse
      • EmailStatsResponse
      • EmailStatsHeader
      • EmailStatsChartPoint
      • ValidationErrorResponse
      • CheckSuccess
      • AuthFailure
  • For Email Infra Provider
    • Email Infra Provider Guide
    • List workspaces
      POST
    • List all email accounts in the workspace
      GET
    • Check if an email exists in another workspace
      GET
    • Initiate Google OAuth login flow
      POST
    • Initiate Microsoft OAuth login flow
      POST
    • Bulk Add SMTP Accounts (via Username and Password)
      POST
    • Schemas
      • AuthFailure
      • CheckSuccess
      • ErrorResponse
  1. Analytics

Get campaign stats

GET
https://api.plusvibe.ai/api/v1/analytics/campaign/stats
Retrieve detailed statistics for a specific campaign or all campaigns within a workspace. Users can track metrics such as lead count, completion status, contact interactions, and more to gain insights into campaign performance and engagement levels. This section provides valuable data for analyzing and optimizing marketing strategies.
Get the statistics for a campaign or all campaigns

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Responses

🟢200OK
application/json
Successful operation
Bodyapplication/json

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.plusvibe.ai/api/v1/analytics/campaign/stats?workspace_id=undefined&campaign_id=undefined&start_date=undefined&end_date=undefined' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "0": {
        "_id": "6708335e989304cbe094646e",
        "camp_name": "Campagin 1",
        "status": "COMPLETED",
        "lead_count": 3088,
        "completed_lead_count": 3088,
        "lead_contacted_count": 3087,
        "new_completed_lead_count": 300,
        "new_lead_contacted_count": 250,
        "sent_count": 8585,
        "unique_opened_count": 0,
        "replied_count": 234,
        "bounced_count": 67,
        "unsubscribed_count": 0,
        "created_at": "2024-10-10T20:04:46.742Z",
        "positive_reply_count": 123,
        "opportunity_val": 61500,
        "start_date": "2024-10-01T00:00:00.000Z",
        "end_date": "2024-11-04T23:59:59.999Z",
        "opportunity_val_per_count": 500
    },
    "1": {
        "_id": "66facebf131507b299c5016f",
        "camp_name": "Campaign 2",
        "status": "COMPLETED",
        "lead_count": 986,
        "completed_lead_count": 986,
        "lead_contacted_count": 946,
        "new_completed_lead_count": 946,
        "new_lead_contacted_count": 946,
        "sent_count": 2283,
        "unique_opened_count": 0,
        "replied_count": 113,
        "bounced_count": 33,
        "unsubscribed_count": 0,
        "created_at": "2024-09-30T16:15:59.541Z",
        "positive_reply_count": 77,
        "opportunity_val": 38500,
        "start_date": "2024-10-01T00:00:00.000Z",
        "end_date": "2024-11-04T23:59:59.999Z",
        "opportunity_val_per_count": 500
    }
}
Modified at 2026-07-24 16:34:04
Previous
Get campaign count (deprecated)
Next
Get all campaigns statistics
Built with